#!/bin/bash
# retrieve DIR_ORTHOLOGER
DIR_ORTHOLOGER=${DIR_ORTHOLOGER=../..}
[[ -f ../.setup.sh ]] && source ../.setup.sh

# set nr of threads
export NTHREADS=${1-0}

# setup mapping
#$DIR_ORTHOLOGER/bin/setup_orthomapper.sh default_config.sh force
export MAP_ORTHODB_DATA="./data"
export BUSCO_DATA=/tmp/odb_busco

echo
echo ">>> Create map and busco data directories"
mkdir -p $MAP_ORTHODB_DATA || exit 255
mkdir -p $BUSCO_DATA       || exit 255

echo
echo ">>> Setup environment"
$DIR_ORTHOLOGER/bin/setup.sh
